Results 1 to 5 of 5
  1. #1
    Join Date
    Dec 2002
    Location
    Mumbai
    Posts
    19

    Question Unanswered: db2 driver is needed which supports rs.getBlob() - jdbc2.0

    For db2 database connection i am using the following code -

    DriverManager.registerDriver(new COM.ibm.db2.jdbc.net.DB2Driver());
    Con = DriverManager.getConnection ("jdbc:db2://<server_name>:6789/<dbname>","<username>","<password>");

    This code works fine.But when i use rs.getBlob() method , it doesn't work out.
    One of the solutions is (in DB2) run usejdbc2 bat file provided in SQLLIB folder (which changes the driver).When i run this bat file,the above mentioned driver gives error and the connection fails.
    Is there any other driver, i need to use to solve this purpose ?
    If u know it please send the solution urgently..

  2. #2
    Join Date
    Apr 2002
    Posts
    188

    Re: db2 driver is needed which supports rs.getBlob() - jdbc2.0

    Originally posted by aspathak
    For db2 database connection i am using the following code -

    DriverManager.registerDriver(new COM.ibm.db2.jdbc.net.DB2Driver());
    Con = DriverManager.getConnection ("jdbc:db2://<server_name>:6789/<dbname>","<username>","<password>");

    This code works fine.But when i use rs.getBlob() method , it doesn't work out.
    One of the solutions is (in DB2) run usejdbc2 bat file provided in SQLLIB folder (which changes the driver).When i run this bat file,the above mentioned driver gives error and the connection fails.
    Is there any other driver, i need to use to solve this purpose ?
    If u know it please send the solution urgently..
    Yes you will have to change your JDBC to type 2, and by using the usejdbc2 you will achieve that.
    First you will have to stop your DB2 services and then run the usejdbc2

    marcos oliva

  3. #3
    Join Date
    Dec 2002
    Location
    Mumbai
    Posts
    19

    Re: db2 driver is needed which supports rs.getBlob() - jdbc2.0

    i have already tried that.stopped db2 services and run usejdbc2.After doing this the error comes as i have used type 3 - COM.ibm.db2.jdbc.net.DB2Driver driver in the connection class.
    If i change it to COM.ibm.db2.jdbc.app.DB2Driver but again the program stops at the line i use rs.getBlob() method...



    Originally posted by Maor71
    Yes you will have to change your JDBC to type 2, and by using the usejdbc2 you will achieve that.
    First you will have to stop your DB2 services and then run the usejdbc2

    marcos oliva

  4. #4
    Join Date
    Aug 2001
    Location
    UK
    Posts
    4,650

    Re: db2 driver is needed which supports rs.getBlob() - jdbc2.0

    JDBC 2.0 requires atleast V7 FP5 ...

    Cheers

    Sathyaram

    Originally posted by aspathak
    i have already tried that.stopped db2 services and run usejdbc2.After doing this the error comes as i have used type 3 - COM.ibm.db2.jdbc.net.DB2Driver driver in the connection class.
    If i change it to COM.ibm.db2.jdbc.app.DB2Driver but again the program stops at the line i use rs.getBlob() method...

  5. #5
    Join Date
    Dec 2002
    Location
    Mumbai
    Posts
    19
    How to determine which fixpack i have and where to get these fixpacks

    amit

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •